<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsMatrix Class Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#related">Related Functions</a> &#124;
<a href="class_xs_matrix-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsMatrix Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A class that represents a matrix of real numbers.  
 <a href="struct_xs_matrix.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for XsMatrix:</div>
<div class="dyncontent">
<div class="center"><img src="struct_xs_matrix__inherit__graph.png" border="0" usemap="#_xs_matrix_inherit__map" alt="Inheritance graph"/></div>
<map name="_xs_matrix_inherit__map" id="_xs_matrix_inherit__map">
<area shape="rect" id="node2" href="struct_xs_matrix3x3.html" title="A class that represents a fixed size (3x3) matrix. " alt="" coords="5,80,99,107"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5913f6e38e9612d3875a6de05604e896"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5913f6e38e9612d3875a6de05604e896"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#a5913f6e38e9612d3875a6de05604e896">XsMatrix</a> (XsSize <a class="el" href="struct_xs_matrix.html#a95845c3d9a6c824068dcda924564b4e5">rows</a>=0, XsSize <a class="el" href="struct_xs_matrix.html#acc30024eb7ec5782e4168353816d405b">cols</a>=0, XsSize strde=0, const XsReal *dat=0)</td></tr>
<tr class="memdesc:a5913f6e38e9612d3875a6de05604e896"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize an <a class="el" href="struct_xs_matrix.html" title="A class that represents a matrix of real numbers. ">XsMatrix</a> object with the specified number of <em>rows</em> and <em>cols</em>. <br /></td></tr>
<tr class="separator:a5913f6e38e9612d3875a6de05604e896"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6c75e2a4315891360b593fa9cd2f0df"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab6c75e2a4315891360b593fa9cd2f0df"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#ab6c75e2a4315891360b593fa9cd2f0df">XsMatrix</a> (const <a class="el" href="struct_xs_matrix.html">XsMatrix</a> &amp;other)</td></tr>
<tr class="memdesc:ab6c75e2a4315891360b593fa9cd2f0df"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize an <a class="el" href="struct_xs_matrix.html" title="A class that represents a matrix of real numbers. ">XsMatrix</a> object from the <em>other</em> <a class="el" href="struct_xs_matrix.html" title="A class that represents a matrix of real numbers. ">XsMatrix</a>. <br /></td></tr>
<tr class="separator:ab6c75e2a4315891360b593fa9cd2f0df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa626777df357b68832537fee965f83ac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa626777df357b68832537fee965f83ac"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#aa626777df357b68832537fee965f83ac">XsMatrix</a> (XsReal *ref, XsSize <a class="el" href="struct_xs_matrix.html#a95845c3d9a6c824068dcda924564b4e5">rows</a>, XsSize <a class="el" href="struct_xs_matrix.html#acc30024eb7ec5782e4168353816d405b">cols</a>, XsSize <a class="el" href="struct_xs_matrix.html#ad3bb8121d06ae8952387e4ac4d38755e">stride</a>, <a class="el" href="group__enums.html#ga85bc9120949890bf9df4572ee9a95be5">XsDataFlags</a> <a class="el" href="struct_xs_matrix.html#a78b0ceb514b709c859f7034c03e06568">flags</a>=<a class="el" href="group__enums.html#gga85bc9120949890bf9df4572ee9a95be5a31564d1db71bd760d05e87f90f7bdb8c">XSDF_None</a>)</td></tr>
<tr class="memdesc:aa626777df357b68832537fee965f83ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize an <a class="el" href="struct_xs_matrix.html" title="A class that represents a matrix of real numbers. ">XsMatrix</a> object that references the data passed in <em>ref</em>. <em>rows</em>, <em>cols</em> and <em>stride</em> can be used to specify the layout of the data. <br /></td></tr>
<tr class="separator:aa626777df357b68832537fee965f83ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a89e069bd9693c5cfd9876d90fe3b71"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9a89e069bd9693c5cfd9876d90fe3b71"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#a9a89e069bd9693c5cfd9876d90fe3b71">XsMatrix</a> (const <a class="el" href="struct_xs_matrix.html">XsMatrix</a> &amp;other, XsReal *ref, XsSize <a class="el" href="struct_xs_matrix.html#a95845c3d9a6c824068dcda924564b4e5">rows</a>, XsSize <a class="el" href="struct_xs_matrix.html#acc30024eb7ec5782e4168353816d405b">cols</a>, XsSize <a class="el" href="struct_xs_matrix.html#ad3bb8121d06ae8952387e4ac4d38755e">stride</a>, <a class="el" href="group__enums.html#ga85bc9120949890bf9df4572ee9a95be5">XsDataFlags</a> <a class="el" href="struct_xs_matrix.html#a78b0ceb514b709c859f7034c03e06568">flags</a>=<a class="el" href="group__enums.html#gga85bc9120949890bf9df4572ee9a95be5a31564d1db71bd760d05e87f90f7bdb8c">XSDF_None</a>)</td></tr>
<tr class="memdesc:a9a89e069bd9693c5cfd9876d90fe3b71"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize a copy of <em>other</em> in an <a class="el" href="struct_xs_matrix.html" title="A class that represents a matrix of real numbers. ">XsMatrix</a> object that references the data passed in <em>ref</em>. <em>rows</em>, <em>cols</em> and <em>stride</em> can be used to specify the layout of the data. <br /></td></tr>
<tr class="separator:a9a89e069bd9693c5cfd9876d90fe3b71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94aa4a961f296224fe34f412ab66929e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a94aa4a961f296224fe34f412ab66929e"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#a94aa4a961f296224fe34f412ab66929e">XsMatrix</a> (const <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> &amp;quat)</td></tr>
<tr class="memdesc:a94aa4a961f296224fe34f412ab66929e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an orientation matrix representation of the quaternion. <br /></td></tr>
<tr class="separator:a94aa4a961f296224fe34f412ab66929e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae960bead82a947ebad0d70ef3fe30943"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#ae960bead82a947ebad0d70ef3fe30943">~XsMatrix</a> ()</td></tr>
<tr class="memdesc:ae960bead82a947ebad0d70ef3fe30943"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear the <a class="el" href="struct_xs_matrix.html" title="A class that represents a matrix of real numbers. ">XsMatrix</a> and release allocated resources.  <a href="#ae960bead82a947ebad0d70ef3fe30943">More...</a><br /></td></tr>
<tr class="separator:ae960bead82a947ebad0d70ef3fe30943"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9d2fc23279aa6303fffc92e5902d983"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae9d2fc23279aa6303fffc92e5902d983"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#ae9d2fc23279aa6303fffc92e5902d983">setSize</a> (XsSize <a class="el" href="struct_xs_matrix.html#a95845c3d9a6c824068dcda924564b4e5">rows</a>, XsSize <a class="el" href="struct_xs_matrix.html#acc30024eb7ec5782e4168353816d405b">cols</a>, XsSize <a class="el" href="struct_xs_matrix.html#ad3bb8121d06ae8952387e4ac4d38755e">stride</a>=0)</td></tr>
<tr class="memdesc:ae9d2fc23279aa6303fffc92e5902d983"><td class="mdescLeft">&#160;</td><td class="mdescRight">Resize the matrix to the specified number of <em>rows</em> and <em>cols</em>, destroying its current contents. <br /></td></tr>
<tr class="separator:ae9d2fc23279aa6303fffc92e5902d983"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a855ce76772152b892bbccdd8bb830b80"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a855ce76772152b892bbccdd8bb830b80"></a>
<a class="el" href="struct_xs_matrix.html">XsMatrix</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#a855ce76772152b892bbccdd8bb830b80">operator=</a> (const <a class="el" href="struct_xs_matrix.html">XsMatrix</a> &amp;other)</td></tr>
<tr class="memdesc:a855ce76772152b892bbccdd8bb830b80"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy the contents of <em>copy</em> to the XsMatrix. <br /></td></tr>
<tr class="separator:a855ce76772152b892bbccdd8bb830b80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af132fe9a507857fdfbb551486e644105"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af132fe9a507857fdfbb551486e644105"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#af132fe9a507857fdfbb551486e644105">empty</a> () const </td></tr>
<tr class="memdesc:af132fe9a507857fdfbb551486e644105"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns not zero if the matrix contains no values. <br /></td></tr>
<tr class="separator:af132fe9a507857fdfbb551486e644105"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03337c4bcf63155bd471460a286c13a7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a03337c4bcf63155bd471460a286c13a7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#a03337c4bcf63155bd471460a286c13a7">setZero</a> ()</td></tr>
<tr class="memdesc:a03337c4bcf63155bd471460a286c13a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set all the values in the matrix to zero. <br /></td></tr>
<tr class="separator:a03337c4bcf63155bd471460a286c13a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87c930bca4179aa58e8a62f2c838a768"><td class="memItemLeft" align="right" valign="top">XsSize&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#a87c930bca4179aa58e8a62f2c838a768">offset</a> (XsSize row, XsSize column) const </td></tr>
<tr class="memdesc:a87c930bca4179aa58e8a62f2c838a768"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the offset in the data for accessing the value at <em>row</em> and <em>column</em>. */  <a href="#a87c930bca4179aa58e8a62f2c838a768">More...</a><br /></td></tr>
<tr class="separator:a87c930bca4179aa58e8a62f2c838a768"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaab3611840c227ffc03609f11b8f0f5d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaab3611840c227ffc03609f11b8f0f5d"></a>
XsReal&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#aaab3611840c227ffc03609f11b8f0f5d">value</a> (XsSize row, XsSize column) const </td></tr>
<tr class="memdesc:aaab3611840c227ffc03609f11b8f0f5d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the value at <em>row</em> and <em>column</em> in the matrix. <br /></td></tr>
<tr class="separator:aaab3611840c227ffc03609f11b8f0f5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae4b0883d8133002cdee1d56df44c706"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae4b0883d8133002cdee1d56df44c706"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#aae4b0883d8133002cdee1d56df44c706">setValue</a> (XsSize row, XsSize column, XsReal <a class="el" href="struct_xs_matrix.html#aaab3611840c227ffc03609f11b8f0f5d">value</a>)</td></tr>
<tr class="memdesc:aae4b0883d8133002cdee1d56df44c706"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the <em>value</em> at <em>row</em> and <em>column</em> in the matrix. <br /></td></tr>
<tr class="separator:aae4b0883d8133002cdee1d56df44c706"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e2dce35a20f82acf3b5dc9333e334c5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9e2dce35a20f82acf3b5dc9333e334c5"></a>
const XsReal *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#a9e2dce35a20f82acf3b5dc9333e334c5">operator[]</a> (XsSize row) const </td></tr>
<tr class="memdesc:a9e2dce35a20f82acf3b5dc9333e334c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a pointer to the data in <em>row</em>. <br /></td></tr>
<tr class="separator:a9e2dce35a20f82acf3b5dc9333e334c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a245df8da29a3dd865ddd8b1d01ec78f1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a245df8da29a3dd865ddd8b1d01ec78f1"></a>
XsReal *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#a245df8da29a3dd865ddd8b1d01ec78f1">operator[]</a> (XsSize row)</td></tr>
<tr class="memdesc:a245df8da29a3dd865ddd8b1d01ec78f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a reference to the data in <em>row</em>. <br /></td></tr>
<tr class="separator:a245df8da29a3dd865ddd8b1d01ec78f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec71ac32a69369b4407bedf89d565c31"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec71ac32a69369b4407bedf89d565c31"></a>
<a class="el" href="struct_xs_matrix.html">XsMatrix</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#aec71ac32a69369b4407bedf89d565c31">operator*</a> (XsReal scalar) const </td></tr>
<tr class="memdesc:aec71ac32a69369b4407bedf89d565c31"><td class="mdescLeft">&#160;</td><td class="mdescRight">Multiplies all values in this <a class="el" href="struct_xs_matrix.html" title="A class that represents a matrix of real numbers. ">XsMatrix</a> by <em>scalar</em>. <br /></td></tr>
<tr class="separator:aec71ac32a69369b4407bedf89d565c31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61b0a58af8ca88bd8576bb370fb90205"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a61b0a58af8ca88bd8576bb370fb90205"></a>
<a class="el" href="struct_xs_matrix.html">XsMatrix</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#a61b0a58af8ca88bd8576bb370fb90205">fromQuaternion</a> (const <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> &amp;quat)</td></tr>
<tr class="memdesc:a61b0a58af8ca88bd8576bb370fb90205"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an orientation matrix representation of the quaternion. <br /></td></tr>
<tr class="separator:a61b0a58af8ca88bd8576bb370fb90205"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f8814c4873e5124aaa83175a7106617"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2f8814c4873e5124aaa83175a7106617"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#a2f8814c4873e5124aaa83175a7106617">zero</a> ()</td></tr>
<tr class="memdesc:a2f8814c4873e5124aaa83175a7106617"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fill the matrix with zeroes. <br /></td></tr>
<tr class="separator:a2f8814c4873e5124aaa83175a7106617"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95845c3d9a6c824068dcda924564b4e5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a95845c3d9a6c824068dcda924564b4e5"></a>
XsSize&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#a95845c3d9a6c824068dcda924564b4e5">rows</a> () const </td></tr>
<tr class="memdesc:a95845c3d9a6c824068dcda924564b4e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the number of rows in the matrix. <br /></td></tr>
<tr class="separator:a95845c3d9a6c824068dcda924564b4e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc30024eb7ec5782e4168353816d405b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acc30024eb7ec5782e4168353816d405b"></a>
XsSize&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#acc30024eb7ec5782e4168353816d405b">cols</a> () const </td></tr>
<tr class="memdesc:acc30024eb7ec5782e4168353816d405b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the number of columns in the matrix. <br /></td></tr>
<tr class="separator:acc30024eb7ec5782e4168353816d405b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3bb8121d06ae8952387e4ac4d38755e"><td class="memItemLeft" align="right" valign="top">XsSize&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#ad3bb8121d06ae8952387e4ac4d38755e">stride</a> () const </td></tr>
<tr class="memdesc:ad3bb8121d06ae8952387e4ac4d38755e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the stride of the matrix.  <a href="#ad3bb8121d06ae8952387e4ac4d38755e">More...</a><br /></td></tr>
<tr class="separator:ad3bb8121d06ae8952387e4ac4d38755e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e14ad0080c0e189420f78277e7b0c6a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8e14ad0080c0e189420f78277e7b0c6a"></a>
const XsReal *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#a8e14ad0080c0e189420f78277e7b0c6a">data</a> () const </td></tr>
<tr class="memdesc:a8e14ad0080c0e189420f78277e7b0c6a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return a const pointer to the internal data. <br /></td></tr>
<tr class="separator:a8e14ad0080c0e189420f78277e7b0c6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c9c132dccd8b8bbd18aeb5a58ab7c7d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1c9c132dccd8b8bbd18aeb5a58ab7c7d"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#a1c9c132dccd8b8bbd18aeb5a58ab7c7d">operator==</a> (const <a class="el" href="struct_xs_matrix.html">XsMatrix</a> &amp;other) const </td></tr>
<tr class="memdesc:a1c9c132dccd8b8bbd18aeb5a58ab7c7d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if <em>other</em> is numerically identical to this. <br /></td></tr>
<tr class="separator:a1c9c132dccd8b8bbd18aeb5a58ab7c7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a070daef61fcb3a4b2d2bf738b9ce08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8a070daef61fcb3a4b2d2bf738b9ce08"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#a8a070daef61fcb3a4b2d2bf738b9ce08">compare</a> (const <a class="el" href="struct_xs_matrix.html">XsMatrix</a> &amp;other, XsReal tolerance) const </td></tr>
<tr class="memdesc:a8a070daef61fcb3a4b2d2bf738b9ce08"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if the values of this and <em>other</em> are within <em>tolerance</em> of each other. <br /></td></tr>
<tr class="separator:a8a070daef61fcb3a4b2d2bf738b9ce08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a47896ac1c90baacf81f07c614d64be"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#a9a47896ac1c90baacf81f07c614d64be">swap</a> (<a class="el" href="struct_xs_matrix.html">XsMatrix</a> &amp;b)</td></tr>
<tr class="memdesc:a9a47896ac1c90baacf81f07c614d64be"><td class="mdescLeft">&#160;</td><td class="mdescRight">Swap the contents of <em>b</em> with this.  <a href="#a9a47896ac1c90baacf81f07c614d64be">More...</a><br /></td></tr>
<tr class="separator:a9a47896ac1c90baacf81f07c614d64be"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a78b0ceb514b709c859f7034c03e06568"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a78b0ceb514b709c859f7034c03e06568"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#a78b0ceb514b709c859f7034c03e06568">flags</a> ()</td></tr>
<tr class="memdesc:a78b0ceb514b709c859f7034c03e06568"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the data management flags of the matrix. <br /></td></tr>
<tr class="separator:a78b0ceb514b709c859f7034c03e06568"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a3c9ce95a724cf3e8e1f1e35e82fc08f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3c9ce95a724cf3e8e1f1e35e82fc08f7"></a>
XsReal *const&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#a3c9ce95a724cf3e8e1f1e35e82fc08f7">m_data</a></td></tr>
<tr class="memdesc:a3c9ce95a724cf3e8e1f1e35e82fc08f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Contained data. <br /></td></tr>
<tr class="separator:a3c9ce95a724cf3e8e1f1e35e82fc08f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a94034c68a9afb6be25bf0d3a64f11d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2a94034c68a9afb6be25bf0d3a64f11d"></a>
const XsSize&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#a2a94034c68a9afb6be25bf0d3a64f11d">m_rows</a></td></tr>
<tr class="memdesc:a2a94034c68a9afb6be25bf0d3a64f11d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of rows in the matrix. <br /></td></tr>
<tr class="separator:a2a94034c68a9afb6be25bf0d3a64f11d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d0e48c79c08d6277998821ab659e760"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7d0e48c79c08d6277998821ab659e760"></a>
const XsSize&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#a7d0e48c79c08d6277998821ab659e760">m_cols</a></td></tr>
<tr class="memdesc:a7d0e48c79c08d6277998821ab659e760"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of columns in the matrix. <br /></td></tr>
<tr class="separator:a7d0e48c79c08d6277998821ab659e760"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73c745eb211b8ebd01c185426ab6b204"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a73c745eb211b8ebd01c185426ab6b204"></a>
const XsSize&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#a73c745eb211b8ebd01c185426ab6b204">m_stride</a></td></tr>
<tr class="memdesc:a73c745eb211b8ebd01c185426ab6b204"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of items per row in memory (usually equal to cols but not always) <br /></td></tr>
<tr class="separator:a73c745eb211b8ebd01c185426ab6b204"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31497940e8e0c0e5eaf3aab1570c41c3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a31497940e8e0c0e5eaf3aab1570c41c3"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_matrix.html#a31497940e8e0c0e5eaf3aab1570c41c3">m_flags</a></td></tr>
<tr class="memdesc:a31497940e8e0c0e5eaf3aab1570c41c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flags for data management. <br /></td></tr>
<tr class="separator:a31497940e8e0c0e5eaf3aab1570c41c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="related"></a>
Related Functions</h2></td></tr>
<tr><td class="ititle" colspan="2"><p>(Note that these are not member functions.) </p>
</td></tr>
<tr class="memitem:gaf527c091a1c75bba161ea8620442bf1d"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gaf527c091a1c75bba161ea8620442bf1d">XsMatrix_ref</a> (<a class="el" href="struct_xs_matrix.html">XsMatrix</a> *, XsSize <a class="el" href="struct_xs_matrix.html#a95845c3d9a6c824068dcda924564b4e5">rows</a>, XsSize <a class="el" href="struct_xs_matrix.html#acc30024eb7ec5782e4168353816d405b">cols</a>, XsSize <a class="el" href="struct_xs_matrix.html#ad3bb8121d06ae8952387e4ac4d38755e">stride</a>, XsReal *buffer, <a class="el" href="group__enums.html#ga85bc9120949890bf9df4572ee9a95be5">XsDataFlags</a> <a class="el" href="struct_xs_matrix.html#a78b0ceb514b709c859f7034c03e06568">flags</a>)</td></tr>
<tr class="memdesc:gaf527c091a1c75bba161ea8620442bf1d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct the XsMatrix as a reference to data in <em>buffer</em>. <br /></td></tr>
<tr class="separator:gaf527c091a1c75bba161ea8620442bf1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5aecaec6a03d98ca29d1f0245d52d1be"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga5aecaec6a03d98ca29d1f0245d52d1be">XsMatrix_construct</a> (<a class="el" href="struct_xs_matrix.html">XsMatrix</a> *, XsSize <a class="el" href="struct_xs_matrix.html#a95845c3d9a6c824068dcda924564b4e5">rows</a>, XsSize <a class="el" href="struct_xs_matrix.html#acc30024eb7ec5782e4168353816d405b">cols</a>, XsSize <a class="el" href="struct_xs_matrix.html#ad3bb8121d06ae8952387e4ac4d38755e">stride</a>, const XsReal *src, XsSize srcStride)</td></tr>
<tr class="memdesc:ga5aecaec6a03d98ca29d1f0245d52d1be"><td class="mdescLeft">&#160;</td><td class="mdescRight">Init the XsMatrix and copy the data from <em>src</em> into the matrix if <em>src</em> is not null. <br /></td></tr>
<tr class="separator:ga5aecaec6a03d98ca29d1f0245d52d1be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1694795a244793ab61ccdee5ffb44feb"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga1694795a244793ab61ccdee5ffb44feb">XsMatrix_assign</a> (<a class="el" href="struct_xs_matrix.html">XsMatrix</a> *, XsSize <a class="el" href="struct_xs_matrix.html#a95845c3d9a6c824068dcda924564b4e5">rows</a>, XsSize <a class="el" href="struct_xs_matrix.html#acc30024eb7ec5782e4168353816d405b">cols</a>, XsSize <a class="el" href="struct_xs_matrix.html#ad3bb8121d06ae8952387e4ac4d38755e">stride</a>, const XsReal *src, XsSize srcStride)</td></tr>
<tr class="memdesc:ga1694795a244793ab61ccdee5ffb44feb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Init the XsMatrix and copy the data from <em>src</em> into the matrix if <em>src</em> is not null. <br /></td></tr>
<tr class="separator:ga1694795a244793ab61ccdee5ffb44feb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9532727d4c5dc4b1ff11286bb249b7da"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga9532727d4c5dc4b1ff11286bb249b7da">XsMatrix_destruct</a> (<a class="el" href="struct_xs_matrix.html">XsMatrix</a> *)</td></tr>
<tr class="memdesc:ga9532727d4c5dc4b1ff11286bb249b7da"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear the <a class="el" href="struct_xs_matrix.html" title="A class that represents a matrix of real numbers. ">XsMatrix</a> and release allocated resources. <br /></td></tr>
<tr class="separator:ga9532727d4c5dc4b1ff11286bb249b7da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7e74b6a3842014c47fda04fe9c4f4fd4"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga7e74b6a3842014c47fda04fe9c4f4fd4">XsMatrix_copy</a> (<a class="el" href="struct_xs_matrix.html">XsMatrix</a> *copy, <a class="el" href="struct_xs_matrix.html">XsMatrix</a> const *src)</td></tr>
<tr class="memdesc:ga7e74b6a3842014c47fda04fe9c4f4fd4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy the contents of <em>copy</em> to the XsMatrix. <br /></td></tr>
<tr class="separator:ga7e74b6a3842014c47fda04fe9c4f4fd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9bb837448577820b2e4d81ad6b0fece5"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga9bb837448577820b2e4d81ad6b0fece5">XsMatrix_setZero</a> (<a class="el" href="struct_xs_matrix.html">XsMatrix</a> *)</td></tr>
<tr class="memdesc:ga9bb837448577820b2e4d81ad6b0fece5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set all the values in the matrix to zero. <br /></td></tr>
<tr class="separator:ga9bb837448577820b2e4d81ad6b0fece5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae713d0404dfa67fedb05659f54d6449e"><td class="memItemLeft" align="right" valign="top">
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gae713d0404dfa67fedb05659f54d6449e">XsMatrix_empty</a> (const <a class="el" href="struct_xs_matrix.html">XsMatrix</a> *)</td></tr>
<tr class="memdesc:gae713d0404dfa67fedb05659f54d6449e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns not zero if the matrix contains no values. <br /></td></tr>
<tr class="separator:gae713d0404dfa67fedb05659f54d6449e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf3aa84511f07c5b343ee77112361dfaf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gaf3aa84511f07c5b343ee77112361dfaf">XsMatrix_multiplyScalar</a> (const <a class="el" href="struct_xs_matrix.html">XsMatrix</a> *, XsReal scalar, <a class="el" href="struct_xs_matrix.html">XsMatrix</a> *dest)</td></tr>
<tr class="memdesc:gaf3aa84511f07c5b343ee77112361dfaf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Multiplies all values in this <a class="el" href="struct_xs_matrix.html" title="A class that represents a matrix of real numbers. ">XsMatrix</a> by <em>scalar</em>.  <a href="group__cinterface.html#gaf3aa84511f07c5b343ee77112361dfaf">More...</a><br /></td></tr>
<tr class="separator:gaf3aa84511f07c5b343ee77112361dfaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga84490340feeeb8c23327124019db1dde"><td class="memItemLeft" align="right" valign="top">XsSize&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga84490340feeeb8c23327124019db1dde">XsMatrix_offset</a> (const <a class="el" href="struct_xs_matrix.html">XsMatrix</a> *, XsSize row, XsSize column)</td></tr>
<tr class="memdesc:ga84490340feeeb8c23327124019db1dde"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the offset in the data for accessing the value at <em>row</em> and <em>column</em>.  <a href="group__cinterface.html#ga84490340feeeb8c23327124019db1dde">More...</a><br /></td></tr>
<tr class="separator:ga84490340feeeb8c23327124019db1dde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9a90bfd79321cad5e715dba52de1e6ea"><td class="memItemLeft" align="right" valign="top">
XsReal&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga9a90bfd79321cad5e715dba52de1e6ea">XsMatrix_value</a> (const <a class="el" href="struct_xs_matrix.html">XsMatrix</a> *, XsSize row, XsSize column)</td></tr>
<tr class="memdesc:ga9a90bfd79321cad5e715dba52de1e6ea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the data value at <em>row</em> and <em>column</em>. <br /></td></tr>
<tr class="separator:ga9a90bfd79321cad5e715dba52de1e6ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab0084bdd99540d1133f4cf6998e78527"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gab0084bdd99540d1133f4cf6998e78527">XsMatrix_setValue</a> (<a class="el" href="struct_xs_matrix.html">XsMatrix</a> *, XsSize row, XsSize column, XsReal <a class="el" href="struct_xs_matrix.html#aaab3611840c227ffc03609f11b8f0f5d">value</a>)</td></tr>
<tr class="memdesc:gab0084bdd99540d1133f4cf6998e78527"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the data <em>value</em> at <em>row</em> and <em>column</em>. <br /></td></tr>
<tr class="separator:gab0084bdd99540d1133f4cf6998e78527"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5882a97fbee0de45eeb4431d9e640093"><td class="memItemLeft" align="right" valign="top">
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga5882a97fbee0de45eeb4431d9e640093">XsMatrix_dimensionsMatch</a> (const <a class="el" href="struct_xs_matrix.html">XsMatrix</a> *, XsSize <a class="el" href="struct_xs_matrix.html#a95845c3d9a6c824068dcda924564b4e5">rows</a>, XsSize columns)</td></tr>
<tr class="memdesc:ga5882a97fbee0de45eeb4431d9e640093"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns not zero if the dimensions of the XsMatrix are equal to <em>rows</em> and <em>columns</em>. <br /></td></tr>
<tr class="separator:ga5882a97fbee0de45eeb4431d9e640093"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga671caacd145c6ba203d621c65c49b649"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga671caacd145c6ba203d621c65c49b649">XsMatrix_fromQuaternion</a> (<a class="el" href="struct_xs_matrix.html">XsMatrix</a> *, const <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> *quat)</td></tr>
<tr class="memdesc:ga671caacd145c6ba203d621c65c49b649"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an orientation matrix representation of the quaternion. <br /></td></tr>
<tr class="separator:ga671caacd145c6ba203d621c65c49b649"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab4218a181d23c28cf3e927b7504a9069"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gab4218a181d23c28cf3e927b7504a9069">XsMatrix_swap</a> (<a class="el" href="struct_xs_matrix.html">XsMatrix</a> *a, <a class="el" href="struct_xs_matrix.html">XsMatrix</a> *b)</td></tr>
<tr class="memdesc:gab4218a181d23c28cf3e927b7504a9069"><td class="mdescLeft">&#160;</td><td class="mdescRight">Swap the contents of <em>a</em> and <em>b</em>.  <a href="group__cinterface.html#gab4218a181d23c28cf3e927b7504a9069">More...</a><br /></td></tr>
<tr class="separator:gab4218a181d23c28cf3e927b7504a9069"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A class that represents a matrix of real numbers. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ae960bead82a947ebad0d70ef3fe30943"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">XsMatrix::~XsMatrix </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Clear the <a class="el" href="struct_xs_matrix.html" title="A class that represents a matrix of real numbers. ">XsMatrix</a> and release allocated resources. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a87c930bca4179aa58e8a62f2c838a768"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">XsSize XsMatrix::offset </td>
          <td>(</td>
          <td class="paramtype">XsSize&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">XsSize&#160;</td>
          <td class="paramname"><em>column</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the offset in the data for accessing the value at <em>row</em> and <em>column</em>. */ </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">row</td><td>The row of the value </td></tr>
    <tr><td class="paramname">column</td><td>The column of the value </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The offset of the requested item in the internal buffer */ </dd></dl>

</div>
</div>
<a class="anchor" id="ad3bb8121d06ae8952387e4ac4d38755e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">XsSize XsMatrix::stride </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return the stride of the matrix. </p>
<p>The stride of a matrix is for internal administration. It defines the number of items in a row in the data buffer. This is always greater than or equal to the number of columns. Especially for matrices that reference a part of another matrix this may differ from the <a class="el" href="struct_xs_matrix.html#acc30024eb7ec5782e4168353816d405b" title="Return the number of columns in the matrix. ">cols()</a> value. </p><dl class="section return"><dt>Returns</dt><dd>The stride of the matrix. </dd></dl>

</div>
</div>
<a class="anchor" id="a9a47896ac1c90baacf81f07c614d64be"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsMatrix::swap </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_matrix.html">XsMatrix</a> &amp;&#160;</td>
          <td class="paramname"><em>b</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Swap the contents of <em>b</em> with this. </p>
<p>This function swaps the internal buffers so no actual data is moved around. For unmanaged data an elementwise swap is done, but only if the matrices are the same size. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">b</td><td>Object whose contents will be swapped with this </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
